Create a short URL
- Base URL
-
https://{kibana_url}
- POST /api/short_url
Kibana URLs may be long and cumbersome, short URLs are much easier to remember and share. Short URLs are created by specifying the locator ID and locator parameters. When a short URL is resolved, the locator ID and locator parameters are used to redirect user to the right Kibana page.
Request body
-
humanReadableSlugboolean -
When the
slugparameter is omitted, the API will generate a random human-readable slug ifhumanReadableSlugis set to true. -
paramsobjectrequired -
An object which contains all necessary parameters for the given locator to resolve to a Kibana location.
WarningWhen you create a short URL, locator params are not validated, which allows you to pass arbitrary and ill-formed data into the API that can break Kibana. Make sure any data that you send to the API is properly formed.
Response
Indicates a successful call.